Appearance
POST
/global/user/users/{userId}/_add-to-tenantRequired scope:
viskan-global:user:updateAdds a user to a tenant. This can only be done for existing Viskan employee users.
Parameters
Path parameters
userId string Format:
uuidThe identifier of the user to add to the given tenant. Note that this user must be a Viskan employee user.
Request body
JSON
{
"tenantId": "8811e13d-8359-4a63-90c8-4c178b02e564"
}
Response
The user was successfully added to the tenant.
| Error code | Description |
|---|---|
tenant-not-active | The given tenant is not active. |
tenant-not-found | The given tenant was not found. |
user-already-added-to-tenant | The given user is already added to the given tenant. |
user-is-blocked | The given user is blocked. |
user-is-not-a-viskan-employee | The given user is not a Viskan employee. |
user-not-found | No user with the given identifier was found. |